Revert "flounder: require bootloader 3.44.0.0115"

This reverts commit 8dca5a983273636759a83befaeba8c39003b3af0.
Bug: 18342372

Change-Id: Id09045be4c2f39488697170e40fd8b6f4bf2a879
diff --git a/board-info.txt b/board-info.txt
index f8f8582..bf9794a 100644
--- a/board-info.txt
+++ b/board-info.txt
@@ -1,2 +1,2 @@
 board=flounder|flounder_lte
-require version-bootloader=3.44.0.0115
+require version-bootloader=3.43.0.0115